<form class="form" [formGroup]="form" (ngSubmit)="submit()">

   <h1>Forms</h1>
   <label for="email">Email</label>
   <input id="email" type="text" placeholder="Введите Email" formControlName="email">
   <!-- валидаторы -->
   <div class="validation" *ngIf="form.controls['email'].invalid && form.controls['email'].touched">
      <small *ngIf="form.controls['email'].errors?.required">
         поле email не может быть пустым
      </small>
      <small *ngIf="form.controls['email'].errors?.email">
         поле email не корректно
      </small>
   </div>

   <label for="password">Пароль</label>
   <input id="password" type="password" placeholder="Введите пароль" formControlName="password">
   <!-- валидаторы -->
   <div class="validation" *ngIf="form.controls['password'].invalid && form.controls['password'].touched">
      <div *ngIf="form.controls['password'].errors?.required"><small> Пароль не может быть пустым</small></div>
      <div *ngIf="form.controls['password'].errors?.minlength">
         <small> длинна должна быть не менее {{form.controls['password'].errors?.minlength.requiredLength}}
            сейчас количество символов :{{form.controls['password'].errors?.minlength.actualLength}}</small>
      </div>
   </div>



   <div class="card" formGroupName="address">
      <h2>Адресс</h2>

      <div class="form-control">
         <label>Страна</label>
         <select formControlName="country">
            <option value="ru">Россия</option>
            <option value="ua">Украина</option>
            <option value="by">Беларусь</option>
         </select>
      </div>
      <div class="form-control">
         <input type="text" formControlName="city" placeholder="Город">
      </div>

      <button class="btn" type="button" (click)="setCapital()">Выбрать столицу</button>
   </div>




   <div class="card" formGroupName="skills">
      <h2>ваши навыки</h2>
      <button class="btn" type="button" (click)="addSkill()">добавить уиение</button>
      <div class="form-control" *ngFor="let control of skillControl; let i = index">
         <label>Уменик{{i+1}}</label>
         <input type="text" [formControlName]="i">
      </div>
   </div>
   <button type="submit" class="btn" [disabled]="form.invalid">Отпавить</button>

</form>